Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.relax
Class AttPoolClause

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.ReferenceExp
              com.sun.msv.grammar.relax.AttPoolClause

All Implemented Interfaces:
  Exportable, java.io.Serializable

public class AttPoolClause
extends ReferenceExp
implements Exportable

'attPool' of RELAX module. ReferenceExp.exp contains a sequence of AttributeExp.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`boolean` | `exported` a flag that indicates this elementRule is exported and therefore accessible from other modules.

Fields inherited from class com.sun.msv.grammar.ReferenceExp
`exp, name`

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Method Summary
`boolean` | `isExported()`
`java.lang.Object` | `visit(RELAXExpressionVisitor visitor)`
`boolean` | `visit(RELAXExpressionVisitorBoolean visitor)`
`Expression` | `visit(RELAXExpressionVisitorExpression visitor)`
`void` | `visit(RELAXExpressionVisitorVoid visitor)`

Methods inherited from class com.sun.msv.grammar.ReferenceExp
`equals, isDefined, visit, visit, visit, visit`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exported

    public boolean exported

  a flag that indicates this elementRule is exported and therefore accessible from other modules.

Method Detail

### isExported

    public boolean isExported()

  Specified by:
    `isExported` in interface `Exportable`

### visit

    public java.lang.Object visit(RELAXExpressionVisitor visitor)

  Overrides:
    `visit` in class `Expression`

### visit

    public Expression visit(RELAXExpressionVisitorExpression visitor)

  Overrides:
    `visit` in class `Expression`

### visit

    public boolean visit(RELAXExpressionVisitorBoolean visitor)

  Overrides:
    `visit` in class `Expression`

### visit

    public void visit(RELAXExpressionVisitorVoid visitor)

  Overrides:
    `visit` in class `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD